xine-lib: demux_flac_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
demux_flac_t Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
fifo_buffer_t * | audio_fifo
input_plugin_t * | input
int | status
int | sample_rate
int | bits_per_sample
int | channels
int64_t | total_samples
off_t | data_start
off_t | data_size
flac_seekpoint_t * | seekpoints
int | seekpoint_count
uint8_t | frame_head_crc_tab [256]
uint8_t | frame_head [16]
uint8_t * | frame_buf
uint32_t | frame_buf_used
uint32_t | frame_buf_size
off_t | frame_buf_filepos
struct { |
off_t filepos |
uint32_t rate |
uint32_t bits |
uint32_t channels |
uint32_t vbs |
uint32_t hsize |
uint32_t bsize |
uint32_t num |
uint32_t max_size |
uint32_t buf_pos |
} | frame1 |
struct { |
off_t filepos |
uint32_t rate |
uint32_t bits |
uint32_t channels |
uint32_t vbs |
uint32_t hsize |
uint32_t bsize |
uint32_t num |
uint32_t max_size |
uint32_t buf_pos |
} | frame2 |
int64_t | last_pts
int | seek_flag
int | read_errs
unsigned char | streaminfo [sizeof(xine_waveformatex)+34]

## Field Documentation

## ◆ audio_fifo

fifo_buffer_t* demux_flac_t::audio_fifo

## ◆ bits

uint32_t demux_flac_t::bits

Referenced by flac_get_frame(), and flac_parse_frame_head().

## ◆ bits_per_sample

int demux_flac_t::bits_per_sample

Referenced by open_flac_file().

## ◆ bsize

uint32_t demux_flac_t::bsize

Referenced by flac_parse_frame_head().

## ◆ buf_pos

uint32_t demux_flac_t::buf_pos

Referenced by flac_get_frame(), and flac_reset_head().

## ◆ channels [1/2]

int demux_flac_t::channels

Referenced by flac_parse_frame_head(), and open_flac_file().

## ◆ channels [2/2]

uint32_t demux_flac_t::channels

## ◆ data_size

off_t demux_flac_t::data_size

Referenced by open_flac_file().

## ◆ data_start

off_t demux_flac_t::data_start

Referenced by open_flac_file().

## ◆ demux_plugin

demux_plugin_t demux_flac_t::demux_plugin

## ◆ filepos

off_t demux_flac_t::filepos

Referenced by flac_get_frame().

## ◆ [struct]

struct { ... } demux_flac_t::frame1

Referenced by flac_get_frame(), and flac_reset_head().

## ◆ [struct]

struct { ... } demux_flac_t::frame2

Referenced by flac_get_frame(), flac_parse_frame_head(), and flac_reset_head().

## ◆ frame_buf

uint8_t* demux_flac_t::frame_buf

Referenced by flac_get_frame().

## ◆ frame_buf_filepos

off_t demux_flac_t::frame_buf_filepos

Referenced by flac_get_frame().

## ◆ frame_buf_size

uint32_t demux_flac_t::frame_buf_size

Referenced by flac_get_frame().

## ◆ frame_buf_used

uint32_t demux_flac_t::frame_buf_used

Referenced by flac_get_frame(), and flac_reset_head().

## ◆ frame_head

uint8_t demux_flac_t::frame_head[16]

Referenced by flac_get_frame(), flac_parse_frame_head(), and flac_test_frame_head().

## ◆ frame_head_crc_tab

uint8_t demux_flac_t::frame_head_crc_tab[256]

Referenced by flac_init_frame_head(), and flac_test_frame_head().

## ◆ hsize

uint32_t demux_flac_t::hsize

Referenced by flac_get_frame(), flac_parse_frame_head(), and flac_reset_head().

## ◆ input

input_plugin_t* demux_flac_t::input

Referenced by flac_get_frame(), and open_flac_file().

## ◆ last_pts

int64_t demux_flac_t::last_pts

## ◆ max_size

uint32_t demux_flac_t::max_size

Referenced by flac_get_frame(), and flac_parse_frame_head().

## ◆ num

uint32_t demux_flac_t::num

Referenced by flac_parse_frame_head().

## ◆ rate

uint32_t demux_flac_t::rate

Referenced by flac_parse_frame_head().

## ◆ read_errs

int demux_flac_t::read_errs

## ◆ sample_rate

int demux_flac_t::sample_rate

Referenced by open_flac_file().

## ◆ seek_flag

int demux_flac_t::seek_flag

## ◆ seekpoint_count

int demux_flac_t::seekpoint_count

Referenced by open_flac_file().

## ◆ seekpoints

flac_seekpoint_t* demux_flac_t::seekpoints

Referenced by open_flac_file().

## ◆ status

int demux_flac_t::status

## ◆ stream

xine_stream_t* demux_flac_t::stream

Referenced by flac_get_frame(), and open_flac_file().

## ◆ streaminfo

unsigned char demux_flac_t::streaminfo[sizeof(xine_waveformatex)+34]

Referenced by open_flac_file().

## ◆ total_samples

int64_t demux_flac_t::total_samples

Referenced by open_flac_file().

## ◆ vbs

uint32_t demux_flac_t::vbs

Referenced by flac_parse_frame_head().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_flac.c